VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ViewSizeAnimation Class Reference
Animation » Animation Targets | New classes » Version 4.0

animates the view size of the view More...

`#include <animations.h>`

Inheritance diagram for ViewSizeAnimation:

## Public Member Functions
| ViewSizeAnimation (const CRect &newRect, bool forceEndValueOnFinish=false)
void | animationStart (CView *view, IdStringPtr name) override
| animation starts
void | animationTick (CView *view, IdStringPtr name, float pos) override
| pos is a normalized value between zero and one
void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled) override
| animation ended
Public Member Functions inherited from IAnimationTarget
virtual | ~IAnimationTarget () noexcept=default
Public Member Functions inherited from ReferenceCounted< int32_t >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Protected Attributes
CRect | startRect
CRect | newRect
bool | forceEndValueOnFinish

## Detailed Description

animates the view size of the view

see Animations Support

## Constructor & Destructor Documentation

## ◆ ViewSizeAnimation()

ViewSizeAnimation | ( | const CRect & | newRect,
|  | bool | forceEndValueOnFinish = false )

## Member Function Documentation

## ◆ animationFinished()

void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled )
| override virtual

animation ended

Implements IAnimationTarget.

## ◆ animationStart()

void animationStart | ( | CView * | view,
|  | IdStringPtr | name )
| override virtual

animation starts

Implements IAnimationTarget.

## ◆ animationTick()

void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos )
| override virtual

pos is a normalized value between zero and one

Implements IAnimationTarget.

## Member Data Documentation

## ◆ forceEndValueOnFinish

bool forceEndValueOnFinish
| protected

## ◆ newRect

CRect newRect
| protected

## ◆ startRect

CRect startRect
| protected

The documentation for this class was generated from the following files:

- animations.h
- animations.cpp